<?php
class ControllerModuleYahooMessenger extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->load->language('module/yahoo_messenger');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('yahoo_messenger', $this->request->post);		
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']);
		}
				
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_left'] = $this->language->get('text_left');
		$this->data['text_right'] = $this->language->get('text_right');
		
		$this->data['entry_code'] = $this->language->get('entry_code');
		$this->data['entry_opi_img'] = $this->language->get('entry_opi_img');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
 		if (isset($this->error['code'])) {
			$this->data['error_code'] = $this->error['code'];
		} else {
			$this->data['error_code'] = '';
		}
		
		if (isset($this->error['opi_img'])) {
			$this->data['error_opi_img'] = $this->error['opi_img'];
		} else {
			$this->data['error_opi_img'] = '';
		}
		
  		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('text_module'),
      		'separator' => ' :: '
   		);
		
   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=module/yahoo_messenger&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = HTTPS_SERVER . 'index.php?route=module/yahoo_messenger&token=' . $this->session->data['token'];
		
		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token'];

		if (isset($this->request->post['yahoo_messenger_code'])) {
			$this->data['yahoo_messenger_code'] = $this->request->post['yahoo_messenger_code'];
		} else {
			$this->data['yahoo_messenger_code'] = $this->config->get('yahoo_messenger_code');
		}	
		
		if (isset($this->request->post['yahoo_messenger_opi_code'])) {
			$this->data['yahoo_messenger_opi_code'] = $this->request->post['yahoo_messenger_opi_code'];
		} else {
			$this->data['yahoo_messenger_opi_code'] = $this->config->get('yahoo_messenger_opi_code');
		}
		
		if (isset($this->request->post['yahoo_messenger_position'])) {
			$this->data['yahoo_messenger_position'] = $this->request->post['yahoo_messenger_position'];
		} else {
			$this->data['yahoo_messenger_position'] = $this->config->get('yahoo_messenger_position');
		}
		
		if (isset($this->request->post['yahoo_messenger_status'])) {
			$this->data['yahoo_messenger_status'] = $this->request->post['yahoo_messenger_status'];
		} else {
			$this->data['yahoo_messenger_status'] = $this->config->get('yahoo_messenger_status');
		}
		
		if (isset($this->request->post['yahoo_messenger_sort_order'])) {
			$this->data['yahoo_messenger_sort_order'] = $this->request->post['yahoo_messenger_sort_order'];
		} else {
			$this->data['yahoo_messenger_sort_order'] = $this->config->get('yahoo_messenger_sort_order');
		}				
		
		$this->template = 'module/yahoo_messenger.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/yahoo_messenger')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!$this->request->post['yahoo_messenger_code']) {
			$this->error['code'] = $this->language->get('error_code');
		}
		
		if (!$this->request->post['yahoo_messenger_opi_code']) {
			$this->error['opi_img'] = $this->language->get('error_opi_img');
		}
		
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>